SmartMemory
GET
/memory/zettel/{note_id}/random-walk

Perform random walk for serendipitous discovery.

Takes a random path through the knowledge graph, potentially revealing unexpected insights.

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Path Parameters

note_id*Note Id

Query Parameters

length?Length

Walk length (1-10)

Response Body

application/json

application/json

curl -X GET "https://example.com/memory/zettel/string/random-walk"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}